Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myoperator
Class ModuloOp

    java.lang.Object
      mycompiler.myoperator.Operator
          mycompiler.myoperator.MulOp
              mycompiler.myoperator.ModuloOp

    public class ModuloOp

extends MulOp

Constructor Summary
`ModuloOp()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg, de.dhbwstuttgart.typeinference.Menge paralist)`

Methods inherited from class mycompiler.myoperator.MulOp
`TRExp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModuloOp

    public ModuloOp()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        Expr expr,
                        boolean neg,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Operator`
  Throws:
    `JVMCodeException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD